<div class="container">
    <div class="row">
        <div class="col-12">
            <div class="card titre mb-3 mt-3 hauteur-fixe text-center d-flex align-items-center justify-content-center">
                <h1>Votre Profil Utilisateur</h1>
            </div>
        </div>
        <div class="col-6">
            <div class="card infoUtilisateur mb-3 mt-3">
                  <div class="row g-0 align-items-center">
                    <div class="col-md-4">
                        <img [src]="'assets/images/avatars/' + utilisateur.avatar + '.png'" class="img-fluid rounded-start p-2">
                    </div>
                        <div class="col-md-8">
                            <div class="card-body">

                                <div class="nom">
                                    <label class="intitule col-3 text-end me-1">Nom :</label>
                                    <label class="info mb-1">{{ utilisateur.nom}}</label>

                                </div>
                                <div class="prenom ">
                                    <label class="intitule col-3 text-end me-1">Prénom :</label>
                                    <label class="info mb-1">{{utilisateur.prenom}}</label>
                                </div>
                                <div class="mail ">
                                    <label class="intitule col-3 text-end me-1">email :</label>
                                    <label class="info mb-1">{{utilisateur.email}}</label>
                                </div>
                                <div class="dob ">
                                    <label class="intitule col-3 text-end me-1">Né le :</label>
                                    <label class="info mb-5">{{utilisateur.date_naissance| date }}</label>
                                </div>
                                <button class="btn btn-primary d-flex justify-content-center align-items-center" (click)="goToEdit(utilisateur)">Modifiez votre profil</button>

                            </div>
                        </div>
                </div>
            </div>
        </div>
        <div class="col-6">
            <div class="card solde soldeutilisateur d-flex mb-3 mt-3 hauteur-fixe align-items-center justify-content-between">
                <div class="solde flex-grow-1 text-end">
                    <h3>Solde :</h3>
                </div>
                <div class="flex-grow-1 text-start">
                    <h1 class="solde">{{portemonnaie.solde}} €</h1>
                </div>
            </div>
        </div>
        <div class="col-12">
            <div class="card mb-3 p-3">
              <div>
                <h3 class="text-center">Joueurs Favoris</h3>
              </div>
              <div class="row">
                <div class="col-4" *ngFor="let joueur of favorisUtilisateurs">
                  <div class="card mb-3 mr-1">
                    <div class="card-body joueur">
                        <img class="joueurMiniature col-12" src="{{choixPhoto()}}" alt="Photo du joueur" (click)="goToJoueur(joueur)">
                        <h2 class="card-title text-center">{{joueur.prenom}} {{joueur.nom}}</h2>
                        <p class="text-center mb-3"> {{joueur.equipe.nomLong}}</p>   
                        <div class="d-flex justify-content-center">
                            <button class="btn btn-danger" (click)="retirerFavori(joueur)">Retirer de vos Favoris</button>
                        </div>              
                    </div>
                  </div>
                </div>
              </div>
              
            </div>
          </div>
          
          
    </div>
</div>
